---
title: DOMPointReadOnly()
slug: Web/API/DOMPointReadOnly/DOMPointReadOnly
tags:
  - API
  - Constructor
  - Coordinates
  - DOM
  - DOMPointReadOnly
  - Geometry
  - Geometry Interfaces
  - Point
  - Position
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>DOMPointReadOnly()</strong></code> constructor returns a new {{domxref("DOMPointReadOnly")}} object representing a point in 2D or 3D space, optionally with perspective, whose values cannot be altered by script code.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>point</em> = new DOMPointReadOnly(<em>x</em>, <em>y</em>, <em>z</em>, <em>w</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>x</code> {{optional_inline}}</dt>
 <dd>The value of the horizontal coordinate, x, as a floating point number. The default value is 0.</dd>
 <dt><code>y</code> {{optional_inline}}</dt>
 <dd>The value of the vertical coordinate, y, as a floating point number. The default value is 0.</dd>
 <dt><code>z</code> {{optional_inline}}</dt>
 <dd>The value of the depth coordinate, z, as a floating point number. The default value is 0.</dd>
 <dt><code>w</code> {{optional_inline}}</dt>
 <dd>The value of the perspective, w, as a floating point number. The default is 1.</dd>
</dl>

<div class="note">
<p><strong>Note:</strong> Each of these values is what's called an <em>unrestricted</em> number. In addition to any finite floating-point value, you may use special values such as ±{{jsxref("Infinity")}} and {{jsxref("NaN")}}.</p>
</div>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("DOMPointReadOnly")}} object representing the specified location in space.</p>

<h2 id="Examples">Examples</h2>

<p>The following code demonstrates creating both 2D and 3D points.</p>

<pre class="brush: js">var point2D = new DOMPointReadOnly(50, 25);
var point3D = new DOMPointReadOnly(50, 0, 10);
var perspectivePoint3D = new DOMPointReadOnly(50, 50, 25, 0.5);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dompointreadonly', 'DOMPointReadOnly')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPointReadOnly.DOMPointReadOnly")}}</p>

